#!/bin/sh

# Please modify this path setting
RPMDIR=${HOME}/rpm
ROOTDIR=OSXWS

if [ -d ./$ROOTDIR ]; then
	echo "rm -rf $ROOTDIR"
	rm -rf $ROOTDIR
fi
mkdir $ROOTDIR
pushd $ROOTDIR

## make directories
mkdir -p usr/osxws/etc/apt/apt.conf.d
mkdir -p usr/osxws/etc/apt/translate.list.d
mkdir -p usr/osxws/var/cache/apt/archives/partial
mkdir -p usr/osxws/var/cache/apt/genpkglist
mkdir -p usr/osxws/var/cache/apt/gensrclist
mkdir -p usr/osxws/var/lib/apt/lists/partial
mkdir -p usr/osxws/var/tmp
mkdir -p usr/osxws/var/lock/rpm
mkdir -p usr/osxws/bin
mkdir -p usr/osxws/lib/apt/methods
mkdir -p usr/osxws/lib/rpm/
mkdir -p usr/osxws/lib/rpm-plugins
mkdir -p usr/osxws/share/apt/scripts
mkdir -p usr/osxws/share/locale/ja/LC_MESSAGES

## copy files
#cp -fRp /usr/osxws/etc/apt/apt.conf usr/osxws/etc/apt/
#cp -fRp /usr/osxws/etc/apt/apt.conf.d usr/osxws/etc/apt/
#cp -fRp /usr/osxws/etc/apt/preferences usr/osxws/etc/apt/
#cp -fRp /usr/osxws/etc/apt/rpmpriorities usr/osxws/etc/apt/
#cp -fRp /usr/osxws/etc/apt/sources.list usr/osxws/etc/apt/
#cp -fRp /usr/osxws/etc/apt/translate.list.d usr/osxws/etc/apt/
cp -fRp ../apt/* usr/osxws/etc/apt/
cp -fRp /usr/osxws/bin/apt usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-cache usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-cache-static usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-cdrom usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-cdrom-static usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-config usr/osxws/bin/
cp -fRp /usr/osxws/bin/apt-get usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-get-static usr/osxws/bin/
#cp -fRp /usr/osxws/bin/apt-shell usr/osxws/bin/
cp -fRp /usr/osxws/bin/genbasedir usr/osxws/bin/
cp -fRp /usr/osxws/bin/gendiff usr/osxws/bin/
cp -fRp /usr/osxws/bin/genpkglist usr/osxws/bin/
cp -fRp /usr/osxws/bin/gensrclist usr/osxws/bin/
#cp -fRp /usr/osxws/bin/gpg usr/osxws/bin/
#cp -fRp /usr/osxws/bin/gpg-zip usr/osxws/bin/
#cp -fRp /usr/osxws/bin/gpgsplit usr/osxws/bin/
#cp -fRp /usr/osxws/bin/gpgv usr/osxws/bin/
#cp -fRp /usr/osxws/bin/lspgpot usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpm usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpm2cpio usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpmdb usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpmkeys usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpmquery usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpmsign usr/osxws/bin/
cp -fRp /usr/osxws/bin/rpmverify usr/osxws/bin/
cp -fRp /usr/osxws/lib/apt/methods/bzip2 usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/cdrom usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/copy usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/file usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/ftp usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/gpg usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/gzip usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/http usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/rsh usr/osxws/lib/apt/methods
cp -fRp /usr/osxws/lib/apt/methods/ssh usr/osxws/lib/apt/methods
#cp -fRp /usr/osxws/lib/gnupg usr/osxws/lib/
cp -fRp /usr/osxws/lib/libapt-pkg.*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libdb-*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libintl.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/liblua-*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/liblzma.*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libmagic*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libnspr4.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libnss3.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libnssutil3.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libfreebl3.* usr/osxws/lib/
cp -fRp /usr/osxws/lib/libsoftokn3.* usr/osxws/lib/
cp -fRp /usr/osxws/lib/libreadline.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libplc4.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libplds4.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libpopt.*dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/libpopt.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/librpm*.dylib usr/osxws/lib/
cp -fRp /usr/osxws/lib/rpm/config.guess usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/config.sub usr/osxws/lib/rpm/
#cp -fRp /usr/osxws/lib/rpm/convertrpmrc.sh usr/osxws/lib/rpm/
#cp -fRp /usr/osxws/lib/rpm/gnupg usr/osxws/lib/rpm/
#cp -fRp /usr/osxws/lib/rpm/freshen.sh usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/macros usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/mkinstalldirs usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/rpm.daily usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/rpm.log usr/osxws/lib/rpm/
#cp -fRp /usr/osxws/lib/rpm/rpm.xinetd usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/rpm2cpio.sh usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/rpmpopt-* usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/rpmrc usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm/tgpg usr/osxws/lib/rpm/
cp -fRp /usr/osxws/lib/rpm-plugins/* usr/osxws/lib/rpm-plugins/
cp -fRp /usr/osxws/share/apt/scripts/*.lua usr/osxws/share/apt/scripts
cp -fRp /usr/osxws/share/locale/ja/LC_MESSAGES/apt.mo usr/osxws/share/locale/ja/LC_MESSAGES/
#cp -fRp /usr/osxws/share/locale/ja/LC_MESSAGES/gnupg.mo usr/osxws/share/locale/ja/LC_MESSAGES/
cp -fRp /usr/osxws/share/locale/ja/LC_MESSAGES/popt.mo usr/osxws/share/locale/ja/LC_MESSAGES/
cp -fRp /usr/osxws/share/locale/ja/LC_MESSAGES/rpm.mo usr/osxws/share/locale/ja/LC_MESSAGES/

cp -fRp ${RPMDIR}/RPMS/noarch/OSX-{Preferences,X11,system,Client,Server}* usr/osxws/var/tmp/
cp -fRp ${RPMDIR}/SOURCES/OSX-Preferences-10.6.tar.bz2 ../
popd
